Bug 520121 - starting lm_sensors not configured run sensors-detect WARNING
Summary: starting lm_sensors not configured run sensors-detect WARNING
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: lm_sensors
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nikola Pajkovsky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-28 13:46 UTC by faith
Modified: 2014-02-02 22:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-28 13:59:55 UTC


Attachments (Terms of Use)

Description faith 2009-08-28 13:46:00 UTC
Description of problem:  I get this on boot (along with a number of warnings & failures):  starting lm_sensors not configured run sensors-detect WARNING


Version-Release number of selected component (if applicable):


How reproducible:  just trying to restart or start up


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:  I ran sensors-detect and got this far:

[root@localhost thetrude]# sensors-detect
# sensors-detect revision 5666 (2009-02-26 17:15:04 +0100)
# System: Dell Computer Corporation Latitude D600
# Board: Dell Computer Corporation 03U652

This program will help you determine which kernel modules you need
to load to use lm_sensors most effectively. It is generally safe
and recommended to accept the default answers to all questions,
unless you know what you're doing.

Some south bridges, CPUs or memory controllers contain embedded sensors.
Do you want to scan for them? This is totally safe. (YES/no): YES
Silicon Integrated Systems SIS5595...                       No
VIA VT82C686 Integrated Sensors...                          No
VIA VT8231 Integrated Sensors...                            No
AMD K8 thermal sensors...                                   No
AMD K10 thermal sensors...                                  No
Intel Core family thermal sensor...                         No
Intel AMB FB-DIMM thermal sensor...                         No
VIA C7 thermal and voltage sensors...                       No

Some Super I/O chips contain embedded sensors. We have to write to
standard I/O ports to probe them. This is usually safe.
Do you want to scan for Super I/O sensors? (YES/no): YES
Probing for Super-I/O at 0x2e/0x2f
Trying family `National Semiconductor'...                   No
Trying family `SMSC'...                                     Yes
Found unknown chip with ID 0x1011
Probing for Super-I/O at 0x4e/0x4f
Trying family `National Semiconductor'...                   No
Trying family `SMSC'...                                     No
Trying family `VIA/Winbond/Fintek'...                       No
Trying family `ITE'...                                      No

Some systems (mainly servers) implement IPMI, a set of common interfaces
through which system health data may be retrieved, amongst other things.
We have to read from arbitrary I/O ports to probe for such interfaces.
This is normally safe. Do you want to scan for IPMI interfaces?
(YES/no): YES
Probing for `IPMI BMC KCS' at 0xca0...                      No
Probing for `IPMI BMC SMIC' at 0xca8...                     No

Some hardware monitoring chips are accessible through the ISA I/O ports.
We have to write to arbitrary I/O ports to probe them. This is usually
safe though. Yes, you do have ISA I/O ports even if you do not have any
ISA slots! Do you want to scan the ISA I/O ports? (YES/no): YES
Probing for `National Semiconductor LM78' at 0x290...       No
Probing for `National Semiconductor LM79' at 0x290...       No
Probing for `Winbond W83781D' at 0x290...                   No
Probing for `Winbond W83782D' at 0x290...                   No

Lastly, we can probe the I2C/SMBus adapters for connected hardware
monitoring devices. This is the most risky part, and while it works
reasonably well on most systems, it has been reported to cause trouble
on some systems.
Do you want to probe the I2C/SMBus adapters now? (YES/no): 

(at this point I stopped to backup the system before going further.)
any helpful input available, please?
thanks much

Comment 1 Hans de Goede 2009-08-28 13:59:55 UTC
Chances are your system does not have any supported hardware monitoring sensors,
which is not a problem, but you seem to have enabled the lm_sensors service
in system-config-services.

To get rid of the warning run system-config-services and disable the lm_sensors service (which is disabled by default on a fresh install).

Comment 2 faith 2009-08-28 14:23:43 UTC
ah-h-h ... gotcha.  yes, I had been enabling things I wanted to begin learning about.  thanks!


Note You need to log in before you can comment on or make changes to this bug.